Package org.apache.groovy.contracts.generation

# Class ContractExecutionTracker.ContractExecution

java.lang.Object
org.apache.groovy.contracts.generation.ContractExecutionTracker.ContractExecution

Enclosing class:
  ContractExecutionTracker

public static final class ContractExecutionTracker.ContractExecution extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractExecution(String className, String methodIdentifier, String assertionType, boolean isStatic)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractExecution

    public ContractExecution(String className, String methodIdentifier, String assertionType, boolean isStatic)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`